export type QueryOptions = {
    columns?: string;
    page?: number;
    limit?: number;
    where?: Where;
    order?: string;
};
export type Where = {
    clause: string;
    args?: any[];
};
export declare namespace QueryBuilder {
    function query(tableName: string, options: QueryOptions): string;
    function create(tableName: string, object: any): string;
    function createArray(tableName: string, array: any[]): string;
    function update(tableName: string, object: any, whereClause: string): string;
    function destroy(tableName: string, whereClause: string): string;
    function destroyAll(tableName: string): string;
    /**
     * Compila una clausula where
     *
     * @param {any[]} array [1,3,4,2]
     * @returns (?, ?, ?, ?)
     */
    function whereClausePlaceholders(array: any[]): string;
    /**
     * @param sqlString "valor con 'comillas'"
     * @returns "'valor con \'comillas\''"
     */
    function escapeSqlString(sqlString: string, escape?: string): string;
}
export default QueryBuilder;
//# sourceMappingURL=QueryBuilder.d.ts.map